For the complete documentation index, see llms.txt. This page is also available as Markdown.

Configuration

This service provides vehicle configuration information based on its unique identifier:

  • Vehicle name.

  • Detection mode configured (GPS, beacon, Bluetooth).

  • Creation date.

  • Status (active, deleted).

  • Beacon attributes (proximity UUID, major, minor) if a beacon is paired to the vehicle.

  • Beacon pairing date if a beacon is paired to the vehicle.

  • The Bluetooth attributes (mac address, name) if a Bluetooth device is paired to the vehicle.

  • Identifiers of the vehicle's owner (id, firstname, lastname).

If you have your admin API key, you can try the API via this link.

Get vehicle configuration

get
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
vehicleIdstringRequired

Vehicle unique identifier

Header parameters
DriveKit-Admin-API-KeystringRequired

DrveKit Admin API key

Responses
200

OK

application/json
idstringOptional

Vehicle unique id

namestringOptional

Vehicle name

detectionModestring · enumOptional

Detection mode

Possible values:
creationDatestring · date-timeOptional

Creation date

statusstring · enumOptional

Vehicle status (active or deleted)

Possible values:
beaconPairingDatestring · date-timeOptional

Beacon pairing date

get
/drivekit/admin/vehicles/{vehicleId}/configuration

Response

The table below summarizes the list of vehicle configuration parameters.

Field
Type
Description

id

string

Vehicle unique id

name

string

Vehicle name

detectionMode

string

Vehicle detection mode

Allowed values: GPS, BEACON, BLUETOOTH, DISABLED

creationDate

string

Vehicle creation date

status

string

Vehicle status

Allowed values: ACTIVE, DELETED

beaconIdentifier

Beacon identifier

beaconPairingDate

string

Beacon pairing date

bluetoothIdentifier

Bluetooth identifier

user

User informations

BeaconIdentifier

Field
Type
Description

proximityUuid

string

Beacon proximity UUID

major

int

Beacon major

minor

int

Beacon minor

BluetoothIdentifier

Field
Type
Description

macAddress

string

Bluetooth device mac address

name

string

Bluetooth device name

User

Field
Type
Description

id

string

User unique identifier

firstname

string

User firstname

lastname

string

User lastname

Last updated

Was this helpful?